package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_to_examine")
public class CustomerEntryToExamine {


    private String id;
    private String entryId;
    private String examineOne;
    private String examineTwo;
    private String examineThree;
    private String examineFour;
    private String examineFive;
    private String examineSix;
    private String examineSeven;
    private String examineEight;
    private String examineNine;
    private String operatorOne;
    private String operatorTwo;
    private String operatorThree;
    private String operatorFour;
    private String operatorFive;
    private String operatorSix;
    private String operatorSeven;
    private String operatorEight;
    private String operatorNine;
    private Date examineTime;
    private Date examineTimeTwo;
    private Date examineTimeThree;
    private Date examineTimeFour;
    private Date examineTimeFive;
    private Date examineTimeSix;
    private Date examineTimeSeven;
    private Date examineTimeEight;
    private Date examineTimeNine;

    public String getExamineSeven() {
        return examineSeven;
    }

    public void setExamineSeven(String examineSeven) {
        this.examineSeven = examineSeven;
    }


    public String getExamineNine() {
        return examineNine;
    }

    public void setExamineNine(String examineNine) {
        this.examineNine = examineNine;
    }

    public String getOperatorSeven() {
        return operatorSeven;
    }

    public void setOperatorSeven(String operatorSeven) {
        this.operatorSeven = operatorSeven;
    }


    public String getOperatorNine() {
        return operatorNine;
    }

    public void setOperatorNine(String operatorNine) {
        this.operatorNine = operatorNine;
    }

    public Date getExamineTimeSeven() {
        return examineTimeSeven;
    }

    public void setExamineTimeSeven(Date examineTimeSeven) {
        this.examineTimeSeven = examineTimeSeven;
    }


    public String getExamineEight() {
        return examineEight;
    }

    public void setExamineEight(String examineEight) {
        this.examineEight = examineEight;
    }

    public String getOperatorEight() {
        return operatorEight;
    }

    public void setOperatorEight(String operatorEight) {
        this.operatorEight = operatorEight;
    }

    public Date getExamineTimeEight() {
        return examineTimeEight;
    }

    public void setExamineTimeEight(Date examineTimeEight) {
        this.examineTimeEight = examineTimeEight;
    }

    public Date getExamineTimeNine() {
        return examineTimeNine;
    }

    public void setExamineTimeNine(Date examineTimeNine) {
        this.examineTimeNine = examineTimeNine;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getExamineOne() {
        return examineOne;
    }

    public void setExamineOne(String examineOne) {
        this.examineOne = examineOne;
    }

    public String getExamineTwo() {
        return examineTwo;
    }

    public void setExamineTwo(String examineTwo) {
        this.examineTwo = examineTwo;
    }

    public String getExamineThree() {
        return examineThree;
    }

    public void setExamineThree(String examineThree) {
        this.examineThree = examineThree;
    }

    public String getExamineFour() {
        return examineFour;
    }

    public void setExamineFour(String examineFour) {
        this.examineFour = examineFour;
    }

    public String getExamineFive() {
        return examineFive;
    }

    public void setExamineFive(String examineFive) {
        this.examineFive = examineFive;
    }

    public String getExamineSix() {
        return examineSix;
    }

    public void setExamineSix(String examineSix) {
        this.examineSix = examineSix;
    }

    public String getOperatorOne() {
        return operatorOne;
    }

    public void setOperatorOne(String operatorOne) {
        this.operatorOne = operatorOne;
    }

    public String getOperatorTwo() {
        return operatorTwo;
    }

    public void setOperatorTwo(String operatorTwo) {
        this.operatorTwo = operatorTwo;
    }

    public String getOperatorThree() {
        return operatorThree;
    }

    public void setOperatorThree(String operatorThree) {
        this.operatorThree = operatorThree;
    }

    public String getOperatorFour() {
        return operatorFour;
    }

    public void setOperatorFour(String operatorFour) {
        this.operatorFour = operatorFour;
    }

    public String getOperatorFive() {
        return operatorFive;
    }

    public void setOperatorFive(String operatorFive) {
        this.operatorFive = operatorFive;
    }

    public String getOperatorSix() {
        return operatorSix;
    }

    public void setOperatorSix(String operatorSix) {
        this.operatorSix = operatorSix;
    }

    public Date getExamineTime() {
        return examineTime;
    }

    public void setExamineTime(Date examineTime) {
        this.examineTime = examineTime;
    }

    public Date getExamineTimeTwo() {
        return examineTimeTwo;
    }

    public void setExamineTimeTwo(Date examineTimeTwo) {
        this.examineTimeTwo = examineTimeTwo;
    }

    public Date getExamineTimeThree() {
        return examineTimeThree;
    }

    public void setExamineTimeThree(Date examineTimeThree) {
        this.examineTimeThree = examineTimeThree;
    }

    public Date getExamineTimeFour() {
        return examineTimeFour;
    }

    public void setExamineTimeFour(Date examineTimeFour) {
        this.examineTimeFour = examineTimeFour;
    }

    public Date getExamineTimeFive() {
        return examineTimeFive;
    }

    public void setExamineTimeFive(Date examineTimeFive) {
        this.examineTimeFive = examineTimeFive;
    }

    public Date getExamineTimeSix() {
        return examineTimeSix;
    }

    public void setExamineTimeSix(Date examineTimeSix) {
        this.examineTimeSix = examineTimeSix;
    }
}
